/* file "uart.h" */
#ifndef UART
#define UART

#include <stdio.h>
#include <avr/io.h>
#include <avr/interrupt.h>

#define	UART_FIFO_SIZE	64  //  FIFO
#define	UART_BAUD 19200     //  UART

void uart_init(void);		
int uart_get (FILE *stream);	
uint8_t uart_test (void);	
int uart_put (char d, FILE *stream);

#endif /* end UART */